ContactGroups
Add members to a contact group
Adds one or more contacts to a contact group, returning counts of added and skipped members.
Adds one or more contacts to a contact group, returning counts of added and skipped members.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
groupId*string
Match
^cgrp_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
contactIds*array<>
Items
1 <= itemsrole?|null
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/contact-groups/string/members" \ -H "Content-Type: application/json" \ -d '{ "contactIds": [ "string" ] }'{ "added": 0, "skipped": 0}Update a contact
Updates an existing contact's fields and returns the updated contact. Use this endpoint to update a contact through the Samva email API.
Create a contact group
Creates a new contact group and returns it with a 201 status. Use this endpoint to create a contact group through the Samva email API.